Bug Hunting Session
Bug 69455 - VIEWING: "About" window of latest master build allows typing in version info (OS X only)
Summary: VIEWING: "About" window of latest master build allows typing in version info ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Mac OS X (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2013-09-17 08:57 UTC by retired
Modified: 2019-09-17 02:48 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the problem (92.96 KB, image/png)
2013-09-17 08:57 UTC, retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description retired 2013-09-17 08:57:33 UTC
Created attachment 85952 [details]
screenshot of the problem

Problem description: Allowing the user to type in the version info of the about windows screws up the version info. Should not be a textfield or editable at all.

Steps to reproduce:
1. open LO latest master build from 2013-09-16 (Version: 4.2.0.0.alpha0+
Build ID: f4d3954fc6106b3ae0ee16ab0fcde15d8cb945e3)
2. go to $PRODUCNAME (currently broken, normaly is "LibreOffice Dev") and then > About
3. in the about window click into the version info and type "´"
4. the character appears in the version info and causes weird behavior

Current behavior: messed up version info

Expected behavior: no characters can be entered in the "About" info window.

              
Operating System: Mac OS X
Version: 4.2.0.0.alpha0+ Master
Last worked in: 4.1.2.1 rc
Comment 1 tommy27 2013-10-06 21:14:16 UTC
not reproducible under Win7 64bit using:
Version: 4.2.0.0.alpha0+
Build ID: 1ea33a8cfc5bc51d0cf83989702b8be82cf52c49
TinderBox: Win-x86@39, Branch:master, Time: 2013-09-10_06:19:34

I'm downloading a more recent master to re-test it.

Do you still see this issue on Mac using a newer 4.2 build?
Comment 2 retired 2013-10-06 22:21:23 UTC
Sadly that was the last OS X nightly build. Then the machines have died. Might be christmas till we get back OS X nightlies.
Comment 3 sophie 2013-10-21 13:03:21 UTC
Also unconfirmed under debian Version: 4.2.0.0.alpha0+
Build ID: 051731bbcaa79b6428c8ebee6c114c9b28220cc8
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2013-10-21_01:09:11
May be a Mac only bug? - Sophie
Comment 4 retired 2013-11-15 12:03:56 UTC
Still valid with LO Version: 4.2.0.0.alpha1+
Build ID: 868103846b9b32bfecd77c08055fdca69d0265c2
TinderBox: MacOSX-x86@48-TDF, Branch:master, Time: 2013-11-14_23:51:46
Comment 5 Emir Sarı (away) 2013-11-15 13:19:47 UTC
Confirmed with Version: 4.2.0.0.alpha1+
Build ID: 868103846b9b32bfecd77c08055fdca69d0265c2
TinderBox: MacOSX-x86@48-TDF, Branch:master, Time: 2013-11-14_23:51:46
Comment 6 Jorendc 2013-11-15 18:35:03 UTC
Reproducible, same version as per comment 4

Lowering priority. Just a minor glitch :).

Kind regards,
Joren
Comment 7 retired 2014-01-17 11:06:03 UTC
This seems to have improved in 4.2.0.2 but it's still there.

If you mark version info and type like crazy, sometimes information is gone:

http://cl.ly/image/2v0X0z1F0x1F (BuildID gone)
http://cl.ly/image/2L1s432i3s2i (typing still possible)
http://cl.ly/image/1s310g2V3i21 (all gone)

I know this is a minor, it just looks unprofessional. Can't be that hard to properly display static info, right?
Comment 8 Matthew Francis 2015-01-25 15:37:53 UTC
I can reproduce this all the way back to 3.3.0. All that is needed to do it 100% reliably is an input method with pre-editing (e.g. Japanese)

Removing Keywords:regression, setting Version:Inherited from OOo
Comment 9 Robinson Tryon (qubit) 2015-12-14 06:22:13 UTC Comment hidden (obsolete)
Comment 10 steve -_- 2016-02-14 14:27:01 UTC
Jan: why changing the status to "ToBeReviewed"?

This bug is persisting. Nothing has changed. There is a semi-automatic process in bugzilla which pings old bugs if they see no action for a certain time.
Comment 11 Andras Timar 2016-02-14 15:08:56 UTC
(In reply to steve -_- from comment #10)
> Jan: why changing the status to "ToBeReviewed"?

Because it's not an Easy Hack. There are no code pointers or anything helpful that a beginner can use to start working on this bug.
Comment 12 steve -_- 2016-02-14 15:57:47 UTC
Andras, thanks for elaborating. Guess it would be useful to give reasoning when changing such things? I don't know why t_arceri added that status. Maybe editing of such fields should be restricted?
Comment 13 Julien Nabet 2016-06-26 10:29:16 UTC
On MacOs 10.11.5 with master sources updated yesterday, I could reproduce this.

I don't reproduce this with master sources updated yesterday on Linux.
Comment 14 steve -_- 2016-06-26 10:51:02 UTC
Julien: from what I know this has always been an osx only issue. persisting since 2013.
Comment 15 Xisco Faulí 2017-09-29 08:53:32 UTC Comment hidden (obsolete)
Comment 16 steve -_- 2017-10-19 10:51:10 UTC
@xisco: persisting as always with recent nightly build 4 years after initial report.
Comment 17 QA Administrators 2019-09-17 02:48:10 UTC
Dear retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug